Bug 208211 - Integrate 3.7 plugin and new archetypes
Integrate 3.7 plugin and new archetypes
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Maven
7.1
All All
: P1 (vote)
: 7.1.1
Assigned To: Jesse Glick
issues@apisupport
71patch1-verified
:
Depends on:
Blocks: 205865
  Show dependency treegraph
 
Reported: 2012-02-09 18:35 UTC by Jesse Glick
Modified: 2012-02-21 13:03 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-02-09 18:35:45 UTC
A vote is in progress for the 3.7 version of nbm-maven-plugin. Expected to close on Sunday.

Besides an OSGi-related fix mainly affecting our own repository generation, the main change is support for NBI generation; the Ant-based apisupport.installer.maven would be deleted and replaced by goal configuration for the standard mojo.

Associated archetypes are also updated, mainly to improve functional test integration (taking advantage of fixes in 7.1), but also to run the NBI goal by default in the deployment profile.

Using 3.7 ought to fix the symptom of bug #205865. (Existing projects would need to be edited to request the new plugin.)
Comment 1 Jesse Glick 2012-02-09 18:37:02 UTC
Would like to see this in 7.1.1, though I know it is quite late; will there be other patch updates?
Comment 2 Marian Mirilovic 2012-02-09 18:59:37 UTC
(In reply to comment #1)
> Would like to see this in 7.1.1, though I know it is quite late; will there be
> other patch updates?

I do not think so ... so go ahead and include into Patch 1
Comment 3 Jesse Glick 2012-02-12 16:56:06 UTC
core-main #287a221bbd83
Comment 4 Jesse Glick 2012-02-13 15:40:12 UTC
releases #768529630e81 and also releases #406bb6cc8bfc
Comment 5 Quality Engineering 2012-02-14 02:31:59 UTC
Integrated into 'releases', will be available in build *201202132200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/768529630e81
User: Jesse Glick <jglick@netbeans.org>
Log: #208211: use archetypes corresponding to nbm-maven-plugin 3.7.
Normalize installer configuration corresponding to MNBMODULE-155.
Comment 6 Tomas Danek 2012-02-21 13:03:59 UTC
Verified - it fixes usecase in bug #205865, also installers are generated in deployment profile. Sanity test of all mvn support in 7.1.1 RC1 is planned as well.

Product Version: NetBeans IDE 7.1.1 RC1 (Build 201202132200)
Java: 1.6.0_29; Java HotSpot(TM) 64-Bit Server VM 20.4-b02-402
System: Mac OS X version 10.7.3 running on x86_64; MacRoman; en_US (nb)
User directory: /Users/tomas/.netbeans/7.1.1rc1
Cache directory: /Users/tomas/.netbeans/7.1.1rc1/var/cache

(In reply to comment #0)
> Using 3.7 ought to fix the symptom of bug #205865. (Existing projects would
> need to be edited to request the new plugin.)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo